## emptty 0.10.0+git20230608.f02bbdb

=== debian/changelog ===
emptty (0.10.0+git20230608.f02bbdb-1ubuntu0.1) mantic-security; urgency=medium

  * No change rebuild due to golang-1.20, golang-1.21 updates

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 19 Jan 2024 11:24:06 +0530

emptty (0.10.0+git20230608.f02bbdb-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:13:52 +1200

emptty (0.10.0+git20230608.f02bbdb-1) unstable; urgency=medium

  * Initial release (Closes: #1036538)

 -- Robert Edmonds <edmonds@debian.org>  Mon, 12 Jun 2023 01:34:52 -0400

## emptty 0.11.0

=== Makefile ===
DISTFILE=emptty
BUILD_VERSION=`git describe --tags`
GOVERSION=`go version | grep -Eo 'go[0-9]+\.[0-9]+'`

ifdef TAGS
	TAGS_ARGS = -tags ${TAGS}
endif

ifeq ($(shell expr ${GOVERSION} \>= 'go1.18'), 1)
	GOVCS = -buildvcs=false
else
	GOVCS=
endif

test:
	@echo "Testing..."
	@go test -coverprofile cover.out ${TAGS_ARGS} ./...
	@echo "Done"

clean:
	@echo "Cleaning..."
	@rm -f dist/${DISTFILE}
	@rm -f dist/emptty.1.gz
	@rm -rf dist
	@echo "Done"

build:
	@echo "Building${TAGS_ARGS}..."
	@mkdir -p dist
	@go build ${TAGS_ARGS} -o dist/${DISTFILE} -ldflags "-X github.com/tvrzna/emptty/src.buildVersion=${BUILD_VERSION}" ${GOVCS}
	@gzip -cn res/emptty.1 > dist/emptty.1.gz
	@echo "Done"

install:
	@echo "Installing..."
	@install -DZs dist/${DISTFILE} -m 755 -t ${DESTDIR}/usr/bin
	@echo "Done"

install-config:
	@echo "Installing config..."
	@install -DZ res/conf -m 644 -T ${DESTDIR}/etc/${DISTFILE}/conf
	@echo "Done"

install-manual:
	@echo "Installing manual..."
	@install -D dist/emptty.1.gz -t ${DESTDIR}/usr/share/man/man1
	@echo "Done"

install-motd-gen:
	@echo "Installing motd-gen.sh..."
	@install -DZ res/motd-gen.sh -m 744 -t ${DESTDIR}/etc/${DISTFILE}/
	@echo "Done"

install-pam:
	@echo "Installing pam file..."
	@install -DZ res/pam -m 644 -T ${DESTDIR}/etc/pam.d/${DISTFILE}
	@echo "Done"

install-pam-debian:
	@echo "Installing pam-debian file..."
	@install -DZ res/pam-debian -m 644 -T ${DESTDIR}/etc/pam.d/${DISTFILE}
	@echo "Done"

install-pam-fedora:
	@echo "Installing pam-fedora file..."
	@install -DZ res/pam-fedora -m 644 -T ${DESTDIR}/etc/pam.d/${DISTFILE}
	@echo "Done"

install-pam-suse:
	@echo "Installing pam-suse file..."
	@install -DZ res/pam-suse -m 644 -T ${DESTDIR}/etc/pam.d/${DISTFILE}
	@echo "Done"

install-runit:
	@echo "Installing runit service..."
	@install -DZ res/runit-run -m 755 -T ${DESTDIR}/etc/sv/${DISTFILE}/run
	@echo "Done"

install-runit-artix:
	@echo "Installing Artix runit service..."
	@install -DZ res/runit-run -m 755 -T ${DESTDIR}/etc/runit/sv/${DISTFILE}/run
	@echo "Done"

install-systemd:
	@echo "Installing systemd service..."
	@install -DZ res/systemd-service -m 644 -T ${DESTDIR}/usr/lib/systemd/system/${DISTFILE}.service
	@echo "Done"

install-openrc:
	@echo "Installing OpenRC service..."
	@install -DZ res/openrc-service -m 755 -T ${DESTDIR}/etc/init.d/${DISTFILE}
	@echo "Done"

install-s6:
	@echo "Installing S6 service..."
	@install -DZ res/s6-dependencies -m 644 -T ${DESTDIR}/etc/s6/sv/${DISTFILE}/dependencies
	@install -DZ res/s6-type -m 644 -T ${DESTDIR}/etc/s6/sv/${DISTFILE}/type
	@install -DZ res/s6-run -m 755 -T ${DESTDIR}/etc/s6/sv/${DISTFILE}/run
	@echo "Done. Please recompile your S6 database."

install-dinit:
	@echo "Installing dinit service..."
	@install -DZ res/dinit-service -m 644 -T ${DESTDIR}/etc/dinit.d/${DISTFILE}
	@install -DZ res/dinit-script -m 755 -T ${DESTDIR}/etc/dinit.d/scripts/${DISTFILE}
	@echo "Done"

install-all: install install-manual install-pam

uninstall:
	@echo "Uninstalling..."
	@rm -rf ${DESTDIR}/etc/sv/${DISTFILE}
	@rm -rf ${DESTDIR}/etc/runit/sv/${DISTFILE}
	@rm -f ${DESTDIR}/usr/lib/systemd/system/${DISTFILE}.service
	@rm -f ${DESTDIR}/etc/init.d/${DISTFILE}
	@rm -f ${DESTDIR}/usr/share/man/man1/emptty.1.gz
	@rm -f ${DESTDIR}/etc/pam.d/emptty
	@rm -rf ${DESTDIR}/etc/s6/sv/${DISTFILE}
	@rm -rf ${DESTDIR}/usr/bin/${DISTFILE}
	@rm -rf ${DESTDIR}/etc/dinit.d/${DISTFILE}
	@rm -rf ${DESTDIR}/etc/dinit.d/scripts/${DISTFILE}
	@echo "Done"

=== debian/changelog ===
emptty (0.11.0-1ubuntu0.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 23 Jun 2025 14:27:26 +1000

emptty (0.11.0-1ubuntu0.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Wed, 30 Oct 2024 10:35:45 +0100

emptty (0.11.0-1ubuntu0.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Mon, 15 Jul 2024 12:36:58 +0530

emptty (0.11.0-1) unstable; urgency=medium

  * New upstream version 0.11.0

 -- Robert Edmonds <edmonds@debian.org>  Thu, 21 Dec 2023 01:11:04 -0500

=== debian/control ===
Source: emptty
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Robert Edmonds <edmonds@debian.org>,
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-msteinert-pam-dev,
               libpam0g-dev,
               libx11-dev,
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/emptty
Vcs-Git: https://salsa.debian.org/go-team/packages/emptty.git
Homepage: https://github.com/tvrzna/emptty
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/tvrzna/emptty

Package: emptty
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Built-Using: ${misc:Built-Using},
Description: text-based display manager for starting graphical sessions
 emptty is a simple, text-based display manager for starting Wayland or Xorg
 sessions from a virtual console. It allows interactively choosing a specific
 desktop environment or window manager and remembers the user's selection.
 Custom sessions can optionally be defined system-wide or by the user.
 .
 The emptty package ships a template unit that can be used to start instances
 of emptty on one or more virtual consoles. After installing this package, the
 following command will enable and start emptty on tty8:
 .
 # systemctl enable emptty@tty8.service && systemctl start emptty@tty8.service
 .
 See the documentation in /usr/share/doc/emptty/README.md.gz for details.

## emptty 0.12.1

=== debian/changelog ===
emptty (0.12.1-1ubuntu0.1) oracular-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Wed, 02 Jul 2025 14:35:26 +1000

emptty (0.12.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.12.1

 -- Taavi Väänänen <taavi@debian.org>  Sat, 08 Jun 2024 02:50:24 +0300

emptty (0.12.0-1) unstable; urgency=medium

  * New upstream version 0.12.0
  * debian/emptty.pam: Update to be more closely based on /etc/pam.d/login

 -- Robert Edmonds <edmonds@debian.org>  Sat, 13 Apr 2024 17:10:14 -0400

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
-               golang-github-msteinert-pam-dev,
+               golang-github-msteinert-pam-dev (>= 2.0.0~),
                libpam0g-dev,
                libx11-dev,
 Standards-Version: 4.6.2

## emptty 0.13.0

=== Makefile ===
--- 
+++ 
@@ -4,12 +4,6 @@
 
 ifdef TAGS
 	TAGS_ARGS = -tags ${TAGS}
-endif
-
-ifeq ($(shell expr ${GOVERSION} \>= 'go1.18'), 1)
-	GOVCS = -buildvcs=false
-else
-	GOVCS=
 endif
 
 test:
@@ -27,7 +21,7 @@
 build:
 	@echo "Building${TAGS_ARGS}..."
 	@mkdir -p dist
-	@go build ${TAGS_ARGS} -o dist/${DISTFILE} -ldflags "-X github.com/tvrzna/emptty/src.buildVersion=${BUILD_VERSION}" ${GOVCS}
+	@go build ${TAGS_ARGS} -o dist/${DISTFILE} -ldflags "-X github.com/tvrzna/emptty/src.buildVersion=${BUILD_VERSION}" -buildvcs=false
 	@gzip -cn res/emptty.1 > dist/emptty.1.gz
 	@echo "Done"

=== debian/changelog ===
emptty (0.13.0-1) unstable; urgency=medium

  * New upstream version 0.13.0
  * debian/control: Bump Standards-Version to 4.7.0 (no changes)

 -- Robert Edmonds <edmonds@debian.org>  Sun, 29 Sep 2024 16:27:46 -0400

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: emptty
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Robert Edmonds <edmonds@debian.org>,
 Section: golang
 Testsuite: autopkgtest-pkg-go
@@ -11,7 +10,7 @@
                golang-github-msteinert-pam-dev (>= 2.0.0~),
                libpam0g-dev,
                libx11-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/emptty
 Vcs-Git: https://salsa.debian.org/go-team/packages/emptty.git
 Homepage: https://github.com/tvrzna/emptty

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install -- --no-source

execute_before_dh_auto_test:
	# The upstream test suite needs to be able to access its test data.
	mkdir -p _build/src/github.com/tvrzna/emptty
	cp -av res _build/src/github.com/tvrzna/emptty

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/tvrzna/emptty/tags .*/v?(\d\S*)\.tar\.gz debian
